Summary: Cute breakout-like game
Name: circuslinux
Version: 1.0.3
Release: %mkrel 18
Source0: ftp://ftp.sonic.net/pub/users/nbs/unix/x/circus-linux/%{name}-%{version}.tar.bz2
Source5: %{name}-16.png
Source6: %{name}-32.png
Source7: %{name}-48.png
Patch0: %{name}-1.0.3-fix-64bits-build.patch
License: GPLv2
Url: http://newbreedsoftware.com/circus-linux/
Group: Games/Arcade
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	libalsa-devel

%description
"Circus Linux!" is based on the Atari 2600 game "Circus Atari" by Atari,
released in 1980.  Gameplay is similar to "Breakout" and "Arkanoid"- you
slide a device left and right to bounce objects into the air which destroy
a wall.

%prep
%setup -q
%patch0 -p1

# fix EOL
mv README-SDL.txt README-SDL.txt.msdos
sed -e 's/\r$//' README-SDL.txt.msdos > README-SDL.txt

cat << EOF > %{_real_vendor}-%{name}.desktop
[Desktop Entry]
Name=Circus Linux
Comment=%{summary}
Exec=%_gamesbindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
rm -rf %buildroot
%makeinstall bindir=%buildroot%{_gamesbindir} datadir=%buildroot%{_gamesdatadir}

install -D -m644 %{_real_vendor}-%{name}.desktop %buildroot%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
install -D -m644 %SOURCE6 %buildroot%{_iconsdir}/%{name}.png
install -D -m644 %SOURCE6 %buildroot%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D -m644 %SOURCE5 %buildroot%{_miconsdir}/%{name}.png
install -D -m644 %SOURCE5 %buildroot%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -D -m644 %SOURCE7 %buildroot%{_liconsdir}/%{name}.png
install -D -m644 %SOURCE7 %buildroot%{_iconsdir}/hicolor/48x48/apps/%{name}.png

rm -rf %buildroot%_datadir/doc/circuslinux-1.0.3

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS.txt CHANGES.txt README.txt FAQ.txt README-SDL.txt
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.0.3-18.mga3
+ Revision: 347755
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 24 2011 zezinho <zezinho> 1.0.3-17.mga2
+ Revision: 147341
- add BR SDL mixer

* Fri Sep 23 2011 zezinho <zezinho> 1.0.3-16.mga2
+ Revision: 146991
- typo
- imported package circuslinux

